{$I trans.inc}
program macro;
uses testlib;
const eps=1.1e-6;
var cont, r, a, b:int64;
begin
  if ans.curchar='N' then begin
    ouf.reqstr ('Na nol'' delit'' nel''zya!!!');
    quit (_ok, '');
  end;
  if ouf.curchar='N' then quit (_wa, 'Mozhno!');
  a:=inf.getlong; b:=inf.getlong; cont:=ouf.getlong;
  r:=a-b*cont;
  if abs (r)>=abs (b) then quit (_wa, 'remainder too big');
  if (b>0) and (r<0) then quit (_wa, 'negative remainder is allowed only for negative numbers');
  quit (_ok, '');
end.